Page MenuHomePhabricator

Use an explicit index prefix instead of wfWikId()
Closed, ResolvedPublic

Description

Using wfWikiId() all arround CirrusSearch as the prefix for indices is more strict than necessary. External users have come up with good reasons to need to change this, and our plans for multi-project indices also require not naming indices after the wiki that is currently running

Details

Related Gerrit Patches:
mediawiki/extensions/CirrusSearch : masterUse an explicit index base name

Event Timeline

Restricted Application added projects: Discovery, Discovery-Search. · View Herald TranscriptJul 14 2016, 11:16 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald Transcript

Change 299097 had a related patch set uploaded (by EBernhardson):
Use an explicit index base name

https://gerrit.wikimedia.org/r/299097

Change 299097 merged by jenkins-bot:
Use an explicit index base name

https://gerrit.wikimedia.org/r/299097

debt triaged this task as Medium priority.Jul 20 2016, 4:00 PM
debt closed this task as Resolved.Aug 8 2016, 4:59 PM